This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 244211 - RHEL5: Wrong init script
RHEL5: Wrong init script
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: salinfo (Show other bugs)
5.0
All Linux
low Severity low
: rc
: ---
Assigned To: Prarit Bhargava
:
Depends On:
Blocks: 237789 244212 244213
  Show dependency treegraph
 
Reported: 2007-06-14 11:15 EDT by Michal Marciniszyn
Modified: 2014-02-10 18:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-03 08:51:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to fix this issue (1.07 KB, patch)
2007-08-13 14:05 EDT, Prarit Bhargava
no flags Details | Diff
New spec file to fix this issue (2.41 KB, application/octet-stream)
2007-08-13 14:06 EDT, Prarit Bhargava
no flags Details
salinfo_decode-init (1.58 KB, application/octet-stream)
2008-05-29 09:13 EDT, Prarit Bhargava
no flags Details

  None (edit)
Description Michal Marciniszyn 2007-06-14 11:15:46 EDT
Description of problem:
The salinfo_decode init script returns incorrect error codes and some
constructions in it also prevent correct status function call. For example:
test -x /usr/sbin/$prog || exit 0

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

This bug is tracked by 237789.
Comment 1 RHEL Product and Program Management 2007-06-14 11:24:03 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Prarit Bhargava 2007-08-13 14:05:24 EDT
Created attachment 161193 [details]
Patch to fix this issue

Should be used with new spec file.
Comment 4 Prarit Bhargava 2007-08-13 14:06:16 EDT
Created attachment 161194 [details]
New spec file to fix this issue

Use with previous patch.
Comment 5 Daniel Riek 2007-10-03 15:39:28 EDT
Proposing for FasTrack as this is a easy to test and low impact issue.
Comment 8 Jarod Wilson 2008-01-24 13:54:22 EST
Changes are in salinfo 1:1.1-4.el5
Comment 14 Prarit Bhargava 2008-05-29 09:12:18 EDT
... Hmmm ... I know I changed *both* files.  I think I know what I did wrong:  I
only committed the salinfo_decode_all bit and was supposed to do a 'make
new-source' on the salinfo_decode-init bit.

Oops. :(

P.
Comment 15 Prarit Bhargava 2008-05-29 09:13:09 EDT
Created attachment 307047 [details]
salinfo_decode-init

Must be committed with 'make new-source FILES=salinfo_decode-init'

P.
Comment 16 RHEL Product and Program Management 2008-06-09 18:01:45 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 25 Prarit Bhargava 2009-08-03 08:51:36 EDT
Unlikely we'll get around to fixing this.

Closing as WONTFIX.

Will re-open if customer reported.

P.

Note You need to log in before you can comment on or make changes to this bug.